XcmsCreateCCC(3)

NAME
XcmsCreateCCC, XcmsFreeCCC - creating and destroying CCCs

SYNTAX

XcmsCCC XcmsCreateCCC(Display *display, int screen_number, Visual *visual, XcmsColor *client_white_point, XcmsCompressionProc compression_proc, XPointer compression_client_data, XcmsWhiteAdjustProc white_adjust_proc, XPointer white_adjust_client_data);

void XcmsFreeCCC(XcmsCCC ccc);

ARGUMENTS

display
    Specifies the connection to the X server.

ccc Specifies the CCC.

client_white_point
    Specifies the Client White Point. If NULL is specified, the Client White Point is to be assumed to be the same as the Screen White Point. Note that the pixel member is ignored.

compression_client_data
    Specifies client data for use by the gamut compression procedure or NULL.

compression_proc
    Specifies the gamut compression procedure that is to be applied when a color lies outside the screen's color gamut. If NULL is specified and a function using this CCC must convert a color specification to a device-dependent format and encounters a color that lies outside the screen's color gamut, that function will return

screen_number
    Specifies the appropriate screen number on the host server.

visual
    Specifies the visual type.

white_adjust_client_data
    Specifies client data for use with the white point adjustment procedure or NULL.

white_adjust_proc
    Specifies the white adjustment procedure that is to be applied when the Client White Point differs from the Screen White Point. NULL indicates that no white point adjustment is desired.

DESCRIPTION
The function creates a CCC for the specified display, screen, and visual.

The function frees the memory used for the specified CCC. Note that default CCCs and those currently associated with colormaps are ignored.

SEE ALSO
DisplayOfCCC(3X11), XcmsCCCOfColormap(3X11), XcmsConvertColors(3X11), XcmsDefaultCCC(3X11), XcmsSetWhitePoint(3X11)
Xlib - C Language X Interface